import { readFileSync } from "fs"

export const defaultInterval = 60
export const defaultNotifyInterval = 300

export type Config = {
    alertEndpoints: ({
        enabled: boolean
        name: string
    } & ({
        type: "discord-webhook"
        webhookUrl: string
    } | {
        type: "telegram"
        token: string
        chatIds: string[]
    } | {
        type: "pushover"
        token: string
        destinationIds: string[]
    }))[],
    pollEndpoints: {
        name: string
        endpoint: string
        interval?: number
        notifyInterval?: number
        type: "fetch" | "ping"
        alertEndpoints: string[]
    }[]
}

export const config = JSON.parse(readFileSync("./config.json").toString()) as Config